# Working with UI Controls

```javascript
const transformHook = (rw) => {
  const { isVisible, firstName, lastName } = rw.props;
  
  const visibilityText = isVisible ? 'Visible' : 'Not Visible';
  const fullName = `${firstName} ${lastName}`;
  
  // Send properties to the template
  rw.setProps({ 
    visibilityText,
    fullName
  });
};

exports.transformHook = transformHook;
```

You can read more about [passing data to templates](/elements-docs/elements-language/component/hooks.js/passing-data-to-templates.md).


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.realmacsoftware.com/elements-docs/elements-language/component/hooks.js/working-with-ui-controls.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
